package com.srs.comprehensive.mapper;

import java.util.List;

import com.srs.comprehensive.domain.SrsAddRecord;
import com.srs.comprehensive.domain.Vo.CphRecord;
import com.srs.framework.mybatisplusMapper.EasyBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 【加分记录】Mapper接口
 *
 * @author srs
 * @date 2023-06-20
 */
@Mapper
public interface SrsAddRecordMapper extends EasyBaseMapper<SrsAddRecord>
{

    public List<SrsAddRecord> getIsExistRecord(@Param("ruleId")Long ruleId,@Param("stuYearId") Long stuYearId,@Param("stuNos") String[] stuNos);

    public List<CphRecord> listOwnRecord(String stuNo);

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public SrsAddRecord selectSrsAddRecordById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param srsAddRecord 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<SrsAddRecord> selectSrsAddRecordList(SrsAddRecord srsAddRecord);

    /**
     * 新增【请填写功能名称】
     *
     * @param srsAddRecord 【请填写功能名称】
     * @return 结果
     */
    public int insertSrsAddRecord(SrsAddRecord srsAddRecord);

    public int insertAllAddRecordInt(SrsAddRecord srsAddRecord);

    /**
     * 修改【请填写功能名称】
     *
     * @param srsAddRecord 【请填写功能名称】
     * @return 结果
     */
    public int updateSrsAddRecord(SrsAddRecord srsAddRecord);

    /**
     * 删除【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteSrsAddRecordById(Long id);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSrsAddRecordByIds(Long[] ids);
    //批量修改记录
    void updateSrsAddRecordAll(List<SrsAddRecord> updateSrsAddRecord);
}
